Scripting Support Fehler nach Java Update (Java 8 aka 1.8)

Hier darf jeder ein Thema erstellen das nicht zu den Support-Themen passt
Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1706
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Scripting Support Fehler nach Java Update (Java 8 aka 1.

Beitrag von Hibiscus-Scripter » Mo 24. Mär 2014, 17:04

so: @hibiscus: also wie schon gesagt, entweder mag Java 7 mit java.lang.Class.forName deine Klassen im Moment einfach nicht finden ;)
oder ich stelle mich mal wieder zu doof an ...

Jedenfalls hab ich jetzt mal das DKB-Visa PlugIn so umgeschrieben dass es bei beiden geht.
Am Anfang wird einfach gemerkt ob die nashorn:mozilla_compat.js geladen wurde oder nicht und dann je nachdem mit if-else der notwendige Code zum aufrufen der Klassen verwendet.

Dass heißt wenn es keine kurz Methode oder Schreibweise für das Problem gibt dann mach dir jetzt hier keine große Arbeit und wir schreiben dass einfach alles so um ;)
Falls nämlich was in Jameica geändert werden müsste ist dass sowieso nicht abwärts kompatibel und dass ist noch blöder als die Arbeit da um jeden Befehl ein if-else zu schreiben.

@hibiscus also danke wieder einmal für die Anregungen ...

Die ScriptingPlugIns sollte dann ab ca. morgen in der Nightly-Build zusätzlich mit Java 8 kompatibel sein ...
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Benutzeravatar
hibiscus
Experte
Experte
Beiträge: 15
Registriert: Sa 22. Mär 2014, 23:08

Re: Scripting Support Fehler nach Java Update (Java 8 aka 1.

Beitrag von hibiscus » Mo 24. Mär 2014, 17:12

Prima, dass du es noch hingekriegt hast - ich hatte derweil naemlich noch keine funktionierende Loesung gefunden ;)

Edit: Das mit der Checkbox fuer die Optionen notiere ich mir mal - hatte ich schon wieder vergessen. [EDIT: Thema verschoben]
Zuletzt geändert von hibiscus am Mo 24. Mär 2014, 17:13, insgesamt 1-mal geändert.

WardinT
Beiträge: 3
Registriert: Mi 26. Mär 2014, 18:47

Re: Scripting Support Fehler nach Java Update (Java 8 aka 1.

Beitrag von WardinT » Mi 26. Mär 2014, 18:51

Jetzt fehlt mir nur noch der Link zum Nightly-Repository...

holenbach

Re: Scripting Support Fehler nach Java Update (Java 8 aka 1.

Beitrag von holenbach » Do 27. Mär 2014, 08:57

Hallo,

ich wollte mich hier noch mal bedanken, dass ihr euch dieses Themas so intensiv annehmt.

LG

Benutzeravatar
Hibiscus-Scripter
Administrator
Administrator
Beiträge: 1706
Registriert: Mi 30. Okt 2013, 17:14
Wohnort: Würzburg

Re: Scripting Support Fehler nach Java Update (Java 8 aka 1.

Beitrag von Hibiscus-Scripter » Do 3. Apr 2014, 11:08

hier noch eine Antwort auf Facebook von gestern auf die Frage wann denn die Stable-Release Java 8 unterstützen wird:
Die Meldung im Forum war ja eine ca.-Angabe
Von daher sind die doch überraschend sehr umfangreichen Arbeiten offiziell erst heute abgeschlossen worden.

Zudem gibt es eigentlich mehrere Gründe weshalb es für diese Unterstützung keinen festen Veröffentlichungstermin gibt:

- Grundsätzlich ist Java 8 zu diesem Zeitpunkt noch nicht offiziell freigegeben wie man auch unter java.com nachgelesen kann. Es ist lediglich die erste Release für Entwickler eben für solche Zwecke auf oracle.com verfügbar.

- Davon abgesehen wird Java 8 auch nicht für ein Produkt vorausgesetzt oder gar benötigt sondern kann eben eher zu Inkompatibilität führen
(Meldungen über Probleme mit Cortal Consors sind eher rein zufällig da es keinen bestätigten Bezug zu Java gibt)

- Auch sind daher keine konkreteren Bedürfnisse nach einer Unterstützung aufgefallen, weshalb ein Update in diese Richtung im Moment eher dann automatisch bei dem nächstem geplanten Scripting-Update enthalten ist

- zusätzlich kann sich aber eben jeder wie im Forum beschrieben für eine Zugang zum Nightly-Repository (beinhaltet Nightly- und Beta-Versionen) anmelden. Somit können vereinzelte Nachfragen befriedigt werden
... wer lesen kann ist wie immer im klaren Vorteil ...

:!: Vor dem Posten: Bitte die Posting-Regeln für neue Beiträge lesen und bitte auch immer alle 4. Punkte zur Fehlermeldung beachten (Der Post wird ansonsten gelöscht)

:idea: Hilfe und Informationen zu den Test- und Nightly-Builds und deren Installation findet Ihr z. B. im Tipps und Tricks-Forum (Weitere hilfreiche Artikel findet man in der FAQ auf der Projekt-Website)

Wer ein Dankeschön für die Arbeit und Unkosten senden möchte, kann gerne auch :arrow: Spenden

Zurück zu „Allgemeine Diskussionen“